function display(obj) 
% DISPLAY Overload display method for object. 
disp(['Class Type: ', class(obj)]);
if isequal(get(0, 'FormatSpacing'), 'compact') 
    disp([inputname(1) ' =']); 
    disp(struct(obj)) 
else 
    disp(' ') 
    disp([inputname(1) ' =']); 
    disp(' '); 
    disp(struct(obj)) 
end 


